#
# spec file for package drgenius (Version 0.5.15)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gob gpp gtk gtk-devel imlib imlib-devel libglade libglade-devel libgpp libxml libxml-devel orbit orbit-devel xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gob gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libglade libglade-devel libgpp libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         drgenius
Copyright:    GPL
Group:        X11/GNOME/Graphics
Provides:     drgenius
Autoreqprov:  on
Version:      0.5.15
Release:      2
Summary:      An interactive geometry software
URL:          http://www.ofset.org/drgenius/
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-BUILD

%description
Dr. Genius was at the beginning a merge of the genius calculator and
Dr.Geo, an interactive geometry software. In fact all the geometry
software has been rewritten, in the mean time the maintainer lose
interest in the development of the genius calculator.  So instead of
keeping unmaintained code which I canot maintain I decided to remove
the calculator and plane to replace it with a scheme based calculator.

Authors:
--------
    George Lebl <jirka@5z.com> 
    Hilaire Fernandes <hilaire@seul.org> 
    Laurent Gauthier <lolo@seul.org> 
    Nils Barth <nbarth@fas.harvard.edu> 
    Frdric Toussaint <ftoussin@club-internet.fr> 
    

%prep
%setup -n drgenius-%{version}
%patch
%{suse_update_config}

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/opt/gnome
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%doc AUTHORS COPYING INSTALL ChangeLog NEWS TODO README
/opt/gnome/bin/drgenius
/opt/gnome/share/drgenius
/opt/gnome/share/gnome/apps/Utilities/drgenius.desktop
/opt/gnome/share/locale/*/LC_MESSAGES/drgenius.mo
/opt/gnome/share/pixmaps/*

%changelog -n drgenius
* Thu Oct 25 2001 - dan@suse.cz
- initial version
